
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for PaymentStatusListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="PaymentStatusListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Canceled"/&amp;gt;
 *     &amp;lt;enumeration value="Complete"/&amp;gt;
 *     &amp;lt;enumeration value="Failed"/&amp;gt;
 *     &amp;lt;enumeration value="MoreInformation"/&amp;gt;
 *     &amp;lt;enumeration value="Partial"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "PaymentStatusListType")
@XmlEnum
public enum PaymentStatusListType {

    @XmlEnumValue("Canceled")
    CANCELED("Canceled"),
    @XmlEnumValue("Complete")
    COMPLETE("Complete"),
    @XmlEnumValue("Failed")
    FAILED("Failed"),
    @XmlEnumValue("MoreInformation")
    MORE_INFORMATION("MoreInformation"),
    @XmlEnumValue("Partial")
    PARTIAL("Partial");
    private final String value;

    PaymentStatusListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PaymentStatusListType fromValue(String v) {
        for (PaymentStatusListType c: PaymentStatusListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
